Post by ibn » Fri Sep 16, 2016 7:02 pm

Hello,

currently I'm using the 1.5.6.4 version. I plan to install a new theme and think about if it's time to upgrade to the 2.x version? If yes which is currently the best version or should I continue with 1.5.6.4?

I know never change a running system but I thought during theme change I could upgrade also opencart to avoid later the upgrade and also theme problems.

Thanks in advance :)

ibn
Newbie

Posts

Joined
Sun Dec 28, 2014 10:30 am

Post by knowband.plugins » Fri Sep 16, 2016 8:19 pm

If your shop is old and you are not facing any issue in 1.5.6.4, just change your theme, migrating to new version of Opencart might cause a lot of issues for you and it is not recommended.

Many of your installed modules may not be compatible with OC 2.x.x.x version series. Even if they are, there are chances that they might have some issue.

If there is some thing which you like in new version of Opencart, you can find a module to add same feature in 1.5.6.4

Regards,
Knowband Team

Opencart Plugins: Knowband Store
Email: support@knowband.com


User avatar
Active Member

Posts

Joined
Thu Aug 04, 2016 2:56 pm


Post by IP_CAM » Sat Sep 17, 2016 12:48 am

as soon as OC v.2.5.6.1 will reach the Stores, one should really think about it. This, because it will be different, again, from everything, we knew before. :D

Good Luck ;)
Ernie

I'm rarely active at the OC Forum lately. To reach me, contact: jti@jacob.ch
A Demoversion of my free OpenCart LIGHT v.1.5.6.5 Software Edition
can be seen in real Action here: http://www.jti.li/shop/
---
1'300+ FREE OC Extension-Repositories - from OC v.1.5.x up,
on the world's largest OC-related Github Site: https://github.com/IP-CAM
---
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by ASG » Sat Sep 17, 2016 2:34 pm

There is no 2.x version stable enough to justify an upgrade from 1.5.6.4. I found that our at my own expense a week back when I created a test install of 2.3.0.2, which itself is an upgrade from 2.3, which again is supposed to address major issues from 2.2.

1. Make a list of your extensions/modules.
2. Check how many of them are 2.x compatible without having to purchase a new one. Many developers sell 1.5.6.x extensions separately, and 2.x separately.
3. That would give you an idea how much additional spend you will do, to gain same level of functionality compared to 1.5.6.4 version of your site.

A note about 2.3.0.2, there has been a major change in how extensions are to be coded for this version, hence, anything updated till 2.2 will not work for 2.3. Also, you would need to migrate your DB to work with 2.x, if you want your existing customer, order & products data to remain after you upgrade, since out of the box 1.5.x database is not compatible with 2.x.

My suggestion is, there is nothing 2.x offers which 1.5.6.4 does not have. Not to mention there is a slight learning curve on the admin side if you move from 1.5 to 2.x.

If your concern is mobile responsiveness, buy a responsive theme and be done with it on 1.5. Version 2.0 is not worth the effort as of this point.

ASG
Active Member

Posts

Joined
Tue Sep 30, 2014 11:03 pm

Post by IP_CAM » Sun Sep 18, 2016 1:11 am

ASG wrote:There is no 2.x version stable enough to justify an upgrade from 1.5.6.4
harsh words :D , but as it looks, OC-2 already seems to be a thing out of the past... :laugh:
so, there won't even be an OC v.2.5.6 , I'm affraid... :-\ :-\
Ernie

http://ocshop.info/opencart-3-0-is-comin/
https://github.com/opencart/opencart/co ... e9ec6b80bc
Last edited by IP_CAM on Sun Sep 18, 2016 3:12 am, edited 1 time in total.

I'm rarely active at the OC Forum lately. To reach me, contact: jti@jacob.ch
A Demoversion of my free OpenCart LIGHT v.1.5.6.5 Software Edition
can be seen in real Action here: http://www.jti.li/shop/
---
1'300+ FREE OC Extension-Repositories - from OC v.1.5.x up,
on the world's largest OC-related Github Site: https://github.com/IP-CAM
---
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by cyclops12 » Sun Sep 18, 2016 1:57 am

IP_CAM wrote:
harsh words :D , but as it looks, OC-2 already seems to be a thing out of the past... :laugh:
so, there won't even be a v.2.5.6 , I'm affraid...
Ernie

http://ocshop.info/opencart-3-0-is-comin/
https://github.com/opencart/opencart/co ... e9ec6b80bc

Jees!!! 2.3 hasnt been out long enough to show up all its faults and its already being abandoned for a new version

Expert Member

Posts

Joined
Sun Sep 27, 2015 1:10 am

Post by IP_CAM » Sun Sep 18, 2016 3:42 am

... then, OC v.3.1.3 would exactly double my Number 1.5.6.5 , so hopefully a real giant leap ahead ! ;)
And at least, I have a perspective again !

But still, it still won't sell by itselfs, so, we can expect to be confronted with the same work,
we had before, first getting the data onto the Servers, and then, spreading the News, that we exist! :D

Ernie

I'm rarely active at the OC Forum lately. To reach me, contact: jti@jacob.ch
A Demoversion of my free OpenCart LIGHT v.1.5.6.5 Software Edition
can be seen in real Action here: http://www.jti.li/shop/
---
1'300+ FREE OC Extension-Repositories - from OC v.1.5.x up,
on the world's largest OC-related Github Site: https://github.com/IP-CAM
---
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by rjcalifornia » Sun Sep 18, 2016 10:34 pm

ibn wrote:Hello,

currently I'm using the 1.5.6.4 version. I plan to install a new theme and think about if it's time to upgrade to the 2.x version? If yes which is currently the best version or should I continue with 1.5.6.4?

I know never change a running system but I thought during theme change I could upgrade also opencart to avoid later the upgrade and also theme problems.

Thanks in advance :)
You should really investigate before doing such upgrade. As several people pointed out in another threads, you will either need to learn a lot of stuffs or hire someone who is an expert.

Image


Active Member

Posts

Joined
Fri Sep 02, 2011 1:19 pm
Location - Worldwide

Post by KeyLeeAM » Mon Sep 19, 2016 3:30 pm

With important improvements after each version, OpenCart is proving the power in digital market. Anybody wants to upgrade OpenCart latest version to enjoy the highest power. You want to upgrade opencart to latest version, there are some options for you.

Opt 1: Store owners can upgrade manually with technical knowledge. It is a cheap way. However it hides OpenCart upgrade error to loose database if your technical knowledge about OpenCart upgrade is limited.
1. Upload Oc 2.2 files to your store.
2. Remove (if is) all files from folder vqmod/vqcache and expired files from folder vqmod/xml
3. Go to admin
3:1. Find > extensions > modules and remove your 3 party modules
3:2. Same to admin > payment and admin > shipping
4. Go to url your_store.com/install and do upgrade
5. Remove folder catalog/model/total

Opt 2: It is smarter solution to avoid influence of upgrade data to 2.2. You can choose OpenCart upgrade tool, which runs to migrate data from 1.5.6.4 to 2.2 automatically by tool.
1. Preparation
2. Set-up OpenCart upgrade service
3. Automated Migration
Let's check OpenCart upgrade 1.5 to 2.2.

Newbie

Posts

Joined
Thu Sep 08, 2016 12:43 pm
Who is online

Users browsing this forum: No registered users and 13 guests